> For the complete documentation index, see [llms.txt](https://docs.geopard.tech/geopard-tutorials/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/17.-consulta-obter-conjuntos-de-dados-de-solo.md).

# 17. Consulta: Obter "Conjuntos de Dados de Solo"

Obter todos os "SoilDatasets" para o "Field" selecionado. Conjuntos de dados podem ser recuperados usando consultas GraphQL genéricas como `getFarms` e `getFields` a partir do "Field" vinculado.&#x20;

{% hint style="warning" %}
Um "SoilDataset" precisa ser carregado previamente.
{% endhint %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFarms {
  getFarms (farmUuids: ["<placeholder_of_farm_uuid>"]) {
    uuid
    fields (fieldUuids: ["<placeholder_of_field_uuid>"]) {
      uuid
      soilDatasets {
        uuid
        name #padrão "<OperationType> <YYYY-mm-DD>"
        operationId #se existir
        number #número total de geofeatures
        geometryType
        totalCoveredArea(unit: HECTARES)
        fieldCoverage
        fieldCoveredArea(unit: HECTARES)
        
        fullAttributes { #detalhes completos por atributo
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #se existir
          unit #se existir
        }

        createdDate #data e hora de criação da entidade no GeoPard
        updatedDate #data e hora da última atualização
        operationType
        operationId
        operationFileDate #data e hora de criação do arquivo
        operationStartDate #início da operação
        
        statistics { #distribuição estatística para cada atributo do solo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }

        geoMaps {
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  }
}
```

{% endcode %}

{% code overflow="wrap" lineNumbers="true" %}

```graphql
query GetSoilDatasetsViaGetFields { 
  getFields(filter: {fieldUuid: "<placeholder_of_field_uuid>" ) { 
    fields { 
      uuid
      soilDatasets { 
        uuid
        nome  
        operationId #se existir 
        number #número total de geofeatures 
        geometryType 
        totalCoveredArea(unit: HECTARES) 
        fieldCoverage 
        fieldCoveredArea(unit: HECTARES)    
        
        fullAttributes {
          name #link para estatísticas >> atributo
          transliteratedName
          fullName #se existir
          unit #se existir
        }
      
        createdDate #data e hora de criação no GeoPard
        updatedDate #data e hora da última atualização no GeoPard
        operationFileDate #data e hora de criação do arquivo (se existir)
        operationStartDate #início da operação (se existir)
      
        statistics { #distribuição estatística para cada atributo do solo
          attribute
          min
          max
          avg
          mdn
          var
          std
          sum
        }
        
        geoMaps { #representação visual
          url
          shortName
          hexColorCodes
          classes
        }
      }
    }
  } 
}
```

{% endcode %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.geopard.tech/geopard-tutorials/pt-br/documentacao-da-api/visao-geral-das-requisicoes-da-api-geopard/17.-consulta-obter-conjuntos-de-dados-de-solo.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
